<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>
<html>
<head>
	<title></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<jsp:include page="/jsp/common/include/css.jsp"/>
	<jsp:include page="/jsp/common/include/script.jsp"/>
	<script language="javascript" >
		var url      = '<c:url value="/onl/apim/portalinquiry/portalInquiryMan.json" />';
		var url_view = '<c:url value="/onl/apim/portalinquiry/portalInquiryMan.view" />';
		var select_orgId = "";
		function formatInquiryStatus(cellvalue, options, rowObject) {
			return cellvalue === 'PENDING'
					? '<span style="color: red;">문의중</span>'
					: '<span>답변완료</span>';
		}

		function formatFile(cellvalue, options, rowObject) {
			var iconPath = '${pageContext.request.contextPath}/images/icon_file.png';
			var icon = rowObject.hasAttachment ? '<img src="' + iconPath + '" alt="File Attached" style="vertical-align: middle; margin-left: 5px; width: 16px; height: 16px;">' : '';
			return cellvalue + icon;
		}

		function init(){
			$.ajax({
				type : "POST",
				url:url,
				dataType:"json",
				data:{cmd: 'LIST_INIT_COMBO'},
				success:function(json){

					new makeOptions("CODE","NAME")
							.setObj($("select[name=searchOrgId]"))
							.setNoValueInclude(true)
							.setNoValue("", "<%=localeMessage.getString("combo.all")%>")
							.setData(json.orgRows)
							.setFormat(nameOptionFormat).rendering();

					putSelectFromParam();
					select_orgId = ": ;" + getGridSelectText("CODE", "NAME", json.orgRows);
				},
				error:function(e){
					alert(e.responseText);
				}
			});
		}

		$(document).ready(function() {
			$('#grid').jqGrid({
				datatype:"json",
				mtype: 'POST',
				url: url,
				postData : { cmd : 'LIST' },
				colNames:['id', 'No.', '제목', '법인명', '상태', '작성자', '등록일', '답변자','답변일'],
				colModel:[
					{ name : 'id'               , align:'center', key:true, hidden:true},
					{ name : 'rowNum'           , align:'center', width:50, sortable:false },
					{ name : 'inquirySubject'   , align:'left'  , width:200 , formatter: formatFile},
					{ name : 'orgName'   		, align:'center'  , width:100 , },
					{ name : 'inquiryStatus'    , align:'center', width:70, formatter: formatInquiryStatus },
					{ name : 'inquirer.userName', align:'center', width:70 },
					{ name : 'createdDate'      , align:'center', width:100, formatter: timeStampFormat },
					{ name : 'responderName'    , align:'center', width:70 },
					{ name : 'responseDate'     , align:'center', width:100, formatter: timeStampFormat }
				],
				jsonReader: {
					repeatitems:false
				},
				pager : $('#pager'),
				page : '${param.page}',
				rowNum : '${rmsDefaultRowNum}',
				autoheight: true,
				height: $("#container").height(),
				autowidth: true,
				viewrecords: true,
				rowList : eval('[${rmsDefaultRowList}]'),
				ondblClickRow: function(rowId) {
					var rowData = $(this).getRowData(rowId);
					var id = rowData['id'];
					var url2 = url_view;
					url2 += '?cmd=DETAIL';
					url2 += '&page='+$(this).getGridParam("page");
					url2 += '&returnUrl='+getReturnUrl();
					url2 += '&menuId='+'${param.menuId}';
					url2 += '&id='+id;
					goNav(url2);
				},
				gridComplete: function() {
					var records = $(this).getGridParam('records');
					var page = $(this).getGridParam('page');
					var rowNum = $(this).getGridParam('rowNum');
					var rows = $(this).getDataIDs();
					var colModel = $(this).getGridParam("colModel");

					for (var i = 0; i < rows.length; i++) {
						var number = ((page - 1) * rowNum + i) + 1;
						// var reverseNumber = records - ((page - 1) * rowNum + i);
						$(this).setCell(rows[i], 'rowNum', number);
					}
				},
				loadError: function (jqXHR, textStatus, errorThrown) {
					var location ='<%=request.getContextPath()%>/';
					comloadError(jqXHR, textStatus, errorThrown ,location);
				}
			});

			init();

			resizeJqGridWidth('grid','content_middle','1000');

			$("#btn_search").click(function(){
				var postData = getSearchForJqgrid("cmd","LIST");
				$("#grid").setGridParam({ url:url,postData: postData ,page:1 }).trigger("reloadGrid");
			});

			$("#btn_new").click(function(){
				var url2 = url_view;
				url2 += '?cmd=DETAIL';
				url2 += '&page='+$("#grid").getGridParam("page");
				url2 += '&returnUrl='+getReturnUrl();
				url2 += '&menuId='+'${param.menuId}';
				goNav(url2);
			});

			$("input[name^=search]").keydown(function(key){
				if (key.keyCode == 13){
					$("#btn_search").click();
				}
			});

			buttonControl();
		});
	</script>
</head>
<body>
<div class="right_box">
	<div class="content_top">
		<ul class="path">
			<li><a href="#">${rmsMenuPath}</a></li>
		</ul>
	</div><!-- end content_top -->
	<div class="content_middle" id="content_middle">
		<div class="search_wrap">
			<button type="button" class="cssbtn" id="btn_search" level="R"><i class="material-icons">search</i> <%= localeMessage.getString("button.search") %></button>
		</div>
		<div class="title">Q&A 목록<span class="tooltip">Q&A를 관리합니다.</span></div>
		<form id="ajaxForm"  onsubmit="return false;">
			<table class="search_condition" cellspacing=0;>
				<tbody>
				<tr>
					<th style="width:150px;">답변여부</th>
					<td style="width:150px;">
						<div class="select-style">
							<select name="searchInquiryStatus">
								<option value="">전체</option>
								<option value="PENDING">문의중</option>
								<option value="RESPONDED">답변완료</option>
							</select>
						</div>
					</td>
					<th style="width:150px;">법인명</th>
					<td style="width:250px;">
						<div class="select-style">
							<select name="searchOrgId"></select>
						</div>
					</td>
					<th style="width:150px;">작성자</th>
					<td style="width:150px;"><input type="text" name="searchInquiryUserName"></td>
				</tr>
				<tr>
					<th>제목/내용</th>
					<td colspan="5"><input type="text" name="searchSubjectDetail"></td>
				</tr>
				</tbody>
			</table>
		</form>
		<table id="grid" ></table>
		<div id="pager"></div>

	</div><!-- end content_middle -->
</div><!-- end right_box -->
</body>
</html>